=== debian/changelog ===
ros-eloquent-rosidl-generator-cpp (0.8.3-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 04 Dec 2020 06:00:00 -0000

ros-eloquent-rosidl-generator-cpp (0.8.2-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 17 Jan 2020 06:00:00 -0000

ros-eloquent-rosidl-generator-cpp (0.8.1-1bionic) bionic; urgency=high

  * Add is_message trait in support of tf2 conversions (#412 <https://github.com/ros2/rosidl/issues/412>)
  * Contributors: Michael Carroll

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 23 Oct 2019 05:00:00 -0000

ros-eloquent-rosidl-generator-cpp (0.8.0-1bionic) bionic; urgency=high

  * Update guard against common Windows preprocessor definitions (#401 <https://github.com/ros2/rosidl/issues/401>)
  * Update tests for new message types in test_interface_files (#397 <https://github.com/ros2/rosidl/issues/397>)
  * use latin-1 encoding when reading/writing .idl files, prepend BOM to generated C/C++ files when necessary (#391 <https://github.com/ros2/rosidl/issues/391>)
  * Add emplace_back, move_assignment to BoundedVector (#385 <https://github.com/ros2/rosidl/issues/385>)
  * fix cpp generator and introspection ts for long double (#383 <https://github.com/ros2/rosidl/issues/383>)
  * Contributors: Dirk Thomas, Jacob Perron, Siddharth Kucheria, cho3

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 24 Sep 2019 05:00:00 -0000
